Bug 172623 - Memory leak in OpenPegasus receiving Indications over HTTPS
Memory leak in OpenPegasus receiving Indications over HTTPS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tog-pegasus (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2005-11-07 15:43 EST by Denise Eckstein
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0474
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:22:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tog-pegasus-2.4.1-2-4-3-bz172623.patch (1.05 KB, patch)
2005-11-11 06:15 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Denise Eckstein 2005-11-07 15:43:44 EST
Description of problem:
The certifiate verification callback logic in OpenPegasus was only deleting 
the last certificate in the chain.  Please refer to OpenPegasus Bugzilla 4330 
(http://cvs.rdg.opengroup.org/bugzilla/show_bug.cgi?id=4330) for details.

The following patch has been submitted to OpenPegasus 2.4.3 and 2.5.1 source 
bases.

Index: SSLContext.cpp
===================================================================
RCS file: /cvs/MSB/pegasus/src/Pegasus/Common/SSLContext.cpp,v
retrieving revision 1.39
diff -r1.39 SSLContext.cpp
286a287,296
>     if (exData->_peerCertificate != NULL) 
>     { 
>         //Delete an existing certificate object from a previous call. 
>         //SSL validates the certificate chain starting with the root CA and 
working down to the peer certificate. 
>         //With this strategy, we end up with the peer certificate as the 
last certificate stored in the SSLCallbackInfo 
>         //so we can retrieve the correct certificate info and username. 
>         delete exData->_peerCertificate; 
>         exData->_peerCertificate = NULL; 
>      }    
> 

Version-Release number of selected component (if applicable):
tog-pegasus-2.4.1-4.4.rhel4 

How reproducible:
Every time.


Steps to Reproduce:
1. Configure the CIM Server as a destination for receiving Indications using 
CIM-XML over HTTPS.
2. Repeatedly send Indications to the targeted CIM Server.
3.

Valgrind can be used to detect this memory leak.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bastien Nocera 2005-11-11 06:15:02 EST
Created attachment 120929 [details]
tog-pegasus-2.4.1-2-4-3-bz172623.patch

patch from Denise Eckstein <denise.eckstein@hp.com>
Comment 3 Jason Vas Dias 2005-11-16 18:57:02 EST
This bug is now fixed with tog-pegasus-2.4.1-4.5.rhel4 .
Comment 9 Bob Johnson 2006-04-11 11:50:11 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 12 Red Hat Bugzilla 2006-08-10 17:22:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0474.html

Note You need to log in before you can comment on or make changes to this bug.